Debian Bug report logs - #572935
arpack: Bug in ARPACK handling unsymmetric matrices

version graph

Package: arpack; Maintainer for arpack is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Thomas Weber <thomas.weber.mail@gmail.com>

Date: Sun, 7 Mar 2010 18:36:02 UTC

Severity: important

Tags: patch

Fixed in version arpack/2.1+parpack96.dfsg-3

Done: hazelsct@debian.org (Adam C. Powell, IV)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#572935; Package arpack. (Sun, 07 Mar 2010 18:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Weber <thomas.weber.mail@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Sun, 07 Mar 2010 18:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Weber <thomas.weber.mail@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: arpack: Bug in ARPACK handling unsymmetric matrices
Date: Sun, 7 Mar 2010 19:33:12 +0100
[Message part 1 (text/plain, inline)]
Package: arpack
Severity: important
Tags: patch

Hi,
on the GNU Octave mailing list, the following issue was noted. It seems
that for some inputs, ARPACK causes a segfault in Octave. 

The issue was first noted in 2006[1]. A patch was sent to ARPACK
upstream, but there never was an answer.

The issue came up again last year[2]. 

So, I'm asking you include the attached patch in ARPACK. A test program
(segtest.m) for Octave is included. It segfaults Octave with current
ARPACK, when called as segtest(100).

[1] http://www-old.cae.wisc.edu/pipermail/octave-maintainers/2006-November/001230.html
[2] http://www-old.cae.wisc.edu/pipermail/bug-octave/2009-November/009818.html

BTW, I think there's something wrong with the orig tarball. It seems to
duplicate all source files and directories in a directory ARPACK.

Thanks
	Thomas

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[arpack.patch (text/x-diff, attachment)]
[segtest.m (text/plain, attachment)]

Reply sent to hazelsct@debian.org (Adam C. Powell, IV):
You have taken responsibility. (Tue, 04 May 2010 22:06:12 GMT) Full text and rfc822 format available.

Notification sent to Thomas Weber <thomas.weber.mail@gmail.com>:
Bug acknowledged by developer. (Tue, 04 May 2010 22:06:12 GMT) Full text and rfc822 format available.

Message #10 received at 572935-close@bugs.debian.org (full text, mbox):

From: hazelsct@debian.org (Adam C. Powell, IV)
To: 572935-close@bugs.debian.org
Subject: Bug#572935: fixed in arpack 2.1+parpack96.dfsg-3
Date: Tue, 04 May 2010 22:02:46 +0000
Source: arpack
Source-Version: 2.1+parpack96.dfsg-3

We believe that the bug you reported is fixed in the latest version of
arpack, which is due to be installed in the Debian FTP archive:

arpack_2.1+parpack96.dfsg-3.debian.tar.gz
  to main/a/arpack/arpack_2.1+parpack96.dfsg-3.debian.tar.gz
arpack_2.1+parpack96.dfsg-3.dsc
  to main/a/arpack/arpack_2.1+parpack96.dfsg-3.dsc
libarpack2-dbg_2.1+parpack96.dfsg-3_amd64.deb
  to main/a/arpack/libarpack2-dbg_2.1+parpack96.dfsg-3_amd64.deb
libarpack2-dev_2.1+parpack96.dfsg-3_amd64.deb
  to main/a/arpack/libarpack2-dev_2.1+parpack96.dfsg-3_amd64.deb
libarpack2_2.1+parpack96.dfsg-3_amd64.deb
  to main/a/arpack/libarpack2_2.1+parpack96.dfsg-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572935@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam C. Powell, IV <hazelsct@debian.org> (supplier of updated arpack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 May 2010 16:05:05 -0400
Source: arpack
Binary: libarpack2 libarpack2-dev libarpack2-dbg
Architecture: source amd64
Version: 2.1+parpack96.dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>
Changed-By: Adam C. Powell, IV <hazelsct@debian.org>
Description: 
 libarpack2 - Fortran77 subroutines to solve large scale eigenvalue problems
 libarpack2-dbg - Fortran77 subroutines to solve large scale eigenvalue problems (d
 libarpack2-dev - Fortran77 subroutines to solve large scale eigenvalue problems (d
Closes: 571828 572935
Changes: 
 arpack (2.1+parpack96.dfsg-3) unstable; urgency=low
 .
   [ Daniel Leidert ]
   * debian/control: Added Homepage field.
     (Uploaders): Removed Rafael Laboissiere. Thanks for your work (closes:
     #571828).
     (Standards-Version): Bumped to 3.8.4.
     (Depends): Fixed weak-library-dev-dependency.
     (Section): libarpack2-dbg is `debug' now.
   * debian/rules (clean): Fix target to not remove README.source.
   * debian/source.lintian-overrides: Added to hide a lintian limitation.
   * debian/README.source: Added.
 .
   [ Adam C. Powell, IV ]
   * Changed source format to 3.0 (quilt).
   * Fix octave segfault using patch from Thomas Weber (closes: #572935).
Checksums-Sha1: 
 84dd2ba26a34a036c9a9515762786eb2c7453f13 1571 arpack_2.1+parpack96.dfsg-3.dsc
 e2ec79a0dbdb3fd8898674af6eab398978d13bd2 10927 arpack_2.1+parpack96.dfsg-3.debian.tar.gz
 27b6923e464f11c99e44a553a9f7294e95fb4e4a 288886 libarpack2_2.1+parpack96.dfsg-3_amd64.deb
 013c31b4743e918fd9d609f411cf625d5c1f0570 718910 libarpack2-dev_2.1+parpack96.dfsg-3_amd64.deb
 95e223b794a683a3556ef4b320b2680df5c88515 21242 libarpack2-dbg_2.1+parpack96.dfsg-3_amd64.deb
Checksums-Sha256: 
 c3d356e813659f649f8b2c43328cd2d4509cc0b7d8bc7488f3172e04b1de41d4 1571 arpack_2.1+parpack96.dfsg-3.dsc
 c01cb1e6a9a496535ab18e16068e50d738d4773b64547913e9311ff69f424efd 10927 arpack_2.1+parpack96.dfsg-3.debian.tar.gz
 490b2681888a88b25d81877915879e2938d37b4adfb0dfe82d5de85675a7125b 288886 libarpack2_2.1+parpack96.dfsg-3_amd64.deb
 4c973014822030ebbb8bbf06f07dd89025192923fb58f7e2b47d84fece0e1601 718910 libarpack2-dev_2.1+parpack96.dfsg-3_amd64.deb
 efc74a9b4e6a6340aeb1254e4aff4af79f5c89cddb5beb565a3908d1b646aec4 21242 libarpack2-dbg_2.1+parpack96.dfsg-3_amd64.deb
Files: 
 c0f0a725b1766d660f699411404bc7dd 1571 math optional arpack_2.1+parpack96.dfsg-3.dsc
 ba6ec8c22b6d152e8d9711fc6f8f02f7 10927 math optional arpack_2.1+parpack96.dfsg-3.debian.tar.gz
 9dc7ff9b1d70ff3f4651c2fe62ec38f2 288886 libs optional libarpack2_2.1+parpack96.dfsg-3_amd64.deb
 51d398d638e23a5922f3ca30f9cdb883 718910 libdevel extra libarpack2-dev_2.1+parpack96.dfsg-3_amd64.deb
 afe9d080a877e7013c56cb9b3ea637a0 21242 debug extra libarpack2-dbg_2.1+parpack96.dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvgfoEACgkQUm8B6FZO5LZoQgCfdaLYrWPWqC3iOIQ35QRhwQ7V
wF4Anj8JgE7VHSw7Atjg+jFNQBKHNacB
=WyS/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Jun 2010 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:54:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.